Summary:	Simple scanning utility
Name:		simple-scan
Version:	3.28.0
Release:	2
License:	GPL v3+
Group:		Applications/Multimedia
Source0:	https://download.gnome.org/sources/simple-scan/3.28/%{name}-%{version}.tar.xz
# Source0-md5:	1313de249d70d7fc844ef485603f4977
URL:		https://launchpad.net/simple-scan
BuildRequires:	PackageKit-devel
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.11
BuildRequires:	cairo-devel
BuildRequires:	colord-devel
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.38.0
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+3-devel >= 3.12.0
BuildRequires:	itstool
BuildRequires:	libgusb-devel >= 0.2.7
BuildRequires:	libjpeg-devel
BuildRequires:	libwebp-devel
BuildRequires:	meson >= 0.37.1
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.198
BuildRequires:	sane-backends-devel
BuildRequires:	vala >= 2:0.22.0
BuildRequires:	vala-colord
BuildRequires:	vala-libgusb
BuildRequires:	yelp-tools
BuildRequires:	zlib-devel
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	gnome-icon-theme
Suggests:	colord
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple Scan is an easy-to-use application, designed to let users
connect their scanner and quickly have the image/document in an
appropriate format.

%prep
%setup -q

%build
%meson build
%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -C build

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/help/{ia,ku}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/simple-scan
%{_mandir}/man1/simple-scan.1*
%{_desktopdir}/simple-scan.desktop
%{_datadir}/metainfo/simple-scan.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.SimpleScan.gschema.xml
%{_datadir}/simple-scan
%changelog
* Mon Apr 09 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/simple-scan.git;a=log;h=master

* Mon Apr 09 2018 Jan Rękorajski <baggins@pld-linux.org> 4cae168
- remove unsupported locale, rel 2

* Sun Apr 01 2018 Marcin Banasiak <marcin.banasiak@gmail.com> a5991f2
- Update to 3.28.0

* Tue Nov 17 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 77636b9
- Update to 3.18.1

* Wed Jan 14 2015 Marcin Banasiak <marcin.banasiak@gmail.com> cee7157
- Update to 3.14.2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 24b031e
- updated gettext BR

* Sun Jun 08 2014 Jan Rękorajski <baggins@pld-linux.org> 918db35
- release 2 (by relup.sh)

* Sat Mar 31 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 998189a
- updated to 3.4.0; merged changes from DEVEL

* Sun Nov 20 2011 Marcin Banasiak <marcin.banasiak@gmail.com> e288f24
- updated to 3.2.1

* Fri Oct 28 2011 Marcin Banasiak <marcin.banasiak@gmail.com> a0d84be
- updated to 3.2.0

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 5d75b17
- BR: gettext-devel, pkgconfig

* Sun Oct 31 2010 Marcin Banasiak <marcin.banasiak@gmail.com> a50edc0
- updated to 2.32.0.1

* Thu Sep 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 82434b7
- updated to 2.32.0

* Wed Jun 30 2010 Adam Gołębiowski <adamg@pld-linux.org> 4c5c96b
- BR: rpmbuild(macros) >= 1.198 [needed be gconf macros]

* Wed Jun 30 2010 Adam Gołębiowski <adamg@pld-linux.org> e8a71ab
- adapterized

* Wed Jun 30 2010 Patryk Zawadzki <patrys@room-303.com> 2d0131b
- regen autochain for the sake of completness

* Wed Jun 30 2010 Patryk Zawadzki <patrys@room-303.com> f95cbba
- initial PLD release

